ParanamerModule (Jackson module: Paranamer 2.9.0 API)
Date: 2017-07-29

com.fasterxml.jackson.module.paranamer

## Class ParanamerModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - com.fasterxml.jackson.module.paranamer.ParanamerModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class ParanamerModule
      extends com.fasterxml.jackson.databind.module.SimpleModule

  Convenience module that registers stand-alone `ParanamerOnJacksonAnnotationIntrospector` after existing introspectors, to add support for discovering names of creator (constructor, factory method) parameters automatically, without explicit annotations.

  Note that use of this module is optional: the only thing it does is register annotation introspector; so you can instead choose to do this from your custom module, or directly configure `ObjectMapper`.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.thoughtworks.paranamer.Paranamer` | `_paranamer` Caller may specify alternate `Paranamer` to use, over default `BytecodeReadingParanamer`

    - ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParanamerModule()`
    `ParanamerModule(com.thoughtworks.paranamer.Paranamer paranamer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setValueInstantiators, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _paranamer

          protected final com.thoughtworks.paranamer.Paranamer _paranamer

      Caller may specify alternate `Paranamer` to use, over default `BytecodeReadingParanamer`

  - ### Constructor Detail

    - #### ParanamerModule

          public ParanamerModule()

    - #### ParanamerModule

          public ParanamerModule(com.thoughtworks.paranamer.Paranamer paranamer)

      Parameters:
        `paranamer` - Paranamer instance to use for introspection

  - ### Method Detail

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Overrides:
        `setupModule` in class `com.fasterxml.jackson.databind.module.SimpleModule`

Copyright © 2017 FasterXML. All rights reserved.